# 32/64bit spec-file
#
%define major		0
%define libname		%mklibname v4l %{major}
%define develname	%mklibname v4l -d
%define wrappersname	%mklibname v4l-wrappers

Name:		libv4l
Version:	1.10.0
Release:	%mkrel 1
Summary:	Linux V4L2 and DVB API utilities
License:	LGPLv2+
Group:		System/Libraries
URL:		http://freecode.com/projects/libv4l
Source:		http://freecode.com/projects/libv4l/v4l-utils-%{version}.tar.xz

#------------------------------------
BuildRequires: %{_lib}sysfs-devel
BuildRequires: %{_lib}jpeg-devel
BuildRequires: %{_lib}mesagl1-devel
BuildRequires: %{_lib}mesaglu1-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: qt5-devel
#------------------------------------
Obsoletes:	libv4l < %version
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
v4l-utils is the combination of various v4l and dvb utilities which
used to be part of the v4l-dvb mercurial kernel tree. 

%files
%defattr(0755,root,root,0755)
%dir %{_sysconfdir}/rc_keymaps
%config(noreplace) %{_sysconfdir}/rc_maps.cfg
%config(noreplace) /lib/udev/rules.d/70-infrared.rules
%{_bindir}/cx18-ctl
%{_bindir}/dvb-fe-tool
%{_bindir}/dvb-format-convert
%{_bindir}/dvbv5-scan
%{_bindir}/dvbv5-zap
%{_bindir}/decode_tm6000
%{_bindir}/ir-keytable
%{_bindir}/v4l2-compliance
%{_bindir}/v4l2-ctl
%{_bindir}/v4l2-sysfs-path
%{_sbindir}/v4l2-dbg
%{_mandir}/man1/ir-keytable.1.*

/lib/udev/rc_keymaps
%{_bindir}/rds-ctl


%package -n	v4l-utils-qt5
Summary:	qt4 tools for v4l applications
Group:		System/Libraries
Obsoletes:	v4l-utils-qt4

%description -n	v4l-utils-qt5
v4l-utils-qt4 is a QT4 gui for the v4l-utils tools

%files -n	v4l-utils-qt5
%defattr(0755,root,root,0755)
%{_bindir}/qv4l2
%{_bindir}/media-ctl
%{_datadir}/applications/qv4l2.desktop
%{_iconsdir}/hicolor/scalable/apps/qv4l2.svg
%{_iconsdir}/hicolor/*/apps/qv4l2.png
%{_mandir}


%package -n %{libname}
Summary:	Thin abstraction layer for video4linux2 devices
Group:		System/Libraries
Requires:	%{name} >= %{version}

%description -n %{libname}
libv4l is a collection of libraries which adds a thin abstraction layer on top
of video4linux2 devices. The purpose of this (thin) layer is to make it easy for
application writers to support a wide variety of devices without having to write
separate code for different devices in the same class.

%files -n	%{libname}
%defattr(0644,root,root,0755)
%{_libdir}/libv4l1.so.%{major}*
%{_libdir}/libv4l2.so.%{major}*
%{_libdir}/libv4lconvert.so.%{major}*
%{_libdir}/libv4l2rds.so.%{major}*
%{_libdir}/libdvbv5.so.%{major}*

%dir %{_libdir}/libv4l
%{_libdir}/libv4l/v4l1compat.so
%{_libdir}/libv4l/v4l2convert.so
%{_libdir}/libv4l/*-decomp

%{_libdir}/libv4l/plugins/libv4l-mplane.so


%package -n	%{develname}
Summary:	Development files from libv4l
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libv4l-devel = %{version}-%{release}

%description -n %{develname}
This package contains the development files needed to build programs that use
libv4l.

%files -n	%{develname}
%defattr(0644,root,root,0755)
%{_includedir}
%{_libdir}/libv4l1.so
%{_libdir}/libv4l2.so
%{_libdir}/libv4lconvert.so
%{_libdir}/libv4l2rds.so
%{_libdir}/pkgconfig
%{_libdir}/v4l1compat.so
%{_libdir}/v4l2convert.so
%{_libdir}/libdvbv5.so  
   
   
%prep
%setup -q -n v4l-utils-%version
%apply_patches

%build
%configure2_5x --disable-static
%make


%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std


find %{buildroot} -name '*.la' -delete

#only 2 locales so drop it
rm -rf %{buildroot}/%{_datadir}/locale

# already provided by ivtv-utils package, more uptodate/complete there
rm -f %{buildroot}%{_bindir}/ivtv-ctl

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="AudioVideo" \
  --remove-category="Player" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}


%changelog
* Fri Jan 29 2016 bb <bb> 1.10.0-1pclos2016
- update

* Thu Oct 27 2015 bb <bb> 1.8.1-1pclos2015
- update
- uses qt5 now

* Sun Jun 21 2015 bb <bb> 1.6.2-1pclos2015
- update

* Sun Mar 22 2015 bb <bb> 1.4.0-1pclos2015
- update

* Sun Feb 15 2014 bb <bb> 1.0.1-1pclos2014
- update
